init:

    # Будем использовать старую графику?
    $ oldart = False
    
    # Возвращает изображение, выбранное из директории new или old, в
    # зависимости от желания пользователя.

    python:

        def ChooseImage(new, old=None):
            if old is None:
                old = new

            new = "new/" + new
            old = "old/" + old

            return ConditionSwitch(
                "not oldart", new,
                "oldart", old)


        def ChooseDisplayable(new, old):
            return ConditionSwitch(
                "not oldart", new,
                "oldart", old)

        
        # Эффект расширения блока прогресса.
        def bar_effect(st, at):

            done = min(st / 1.0, 1.0)            
            length = int(475 * done) + 12
            
            frame = Frame("new/transfer_bar.png", 6, 0,
                          xmaximum=length, ymaximum=24,
                          xpos=156, ypos=282,
                          xanchor=0, yanchor=0)

            if done == 1.0:
                return Fixed("new/transfer.png", frame), None
            else:
                return Fixed("new/transfer.png", frame), 0

            
    # Изображения.
    image black = "#000"
    image white = "#fff"
    image yellow = "#ffffc8"

    # Открывающая заставка.
    image bigbeach1 = "new/bigbeach1.jpg"
    image presents = "new/presents.png"

    # Фоновые рисунки.
    image beach1 = ChooseImage("beach1b.jpg")
    image beach1 mary = ChooseImage("beach1c.jpg")
    image beach1 title = "new/beach1a.png"
    image beach1 nomoon = ChooseImage("beach1d.jpg")

    image beach2 = ChooseImage("beach2.jpg")
    image beach3 = ChooseImage("beach3.jpg")

    image dawn1 = ChooseImage("dawn1.jpg")
    image dawn2 = ChooseImage("dawn2.jpg")
    image dawn3 = "new/dawn3.jpg"

    image library = ChooseImage("library.jpg")
    
    # Концовка 1.
    image transfer = ChooseDisplayable(DynamicDisplayable(bar_effect), "old/transfer.png")
    image moonpic = ChooseImage("moonpic.jpg")
    image nogirlpic = ChooseImage("nogirlpic.jpg")
    image girlpic = "new/girlpic.png" # Only used by image gallery.

    # Концовка 3.
    image littlemary = ChooseImage("littlemary.jpg")
    image littlemary2 = ChooseImage("littlemary2.jpg", "littlemary.jpg")

    # Концовка 4.
    image hospital1 = ChooseImage("hospital1.jpg")
    image hospital2 = ChooseImage("hospital2.jpg", "hospital3.jpg")
    image hospital3 = ChooseImage("hospital3.jpg")
    image heaven = ChooseImage("heaven.jpg")

    # Общее для концовок
    image good_ending = "new/ending.jpg"
    image bad_ending = "new/badending.jpg"
    image credit = ParameterizedText(color="#31220f", size=28, xalign=0.5, yanchor=0, ypos=500, text_align=0.5)
    
    # Мария.
    image mary dark confused smiling = ChooseImage("mary_dark_confused_smiling.png")
    image mary dark confused wistful = ChooseImage("mary_dark_confused_wistful.png")
    image mary dark crying = ChooseImage("mary_dark_crying.png")
    image mary dark laughing = ChooseImage("mary_dark_laughing.png")
    image mary dark sad = ChooseImage("mary_dark_sad.png")
    image mary dark smiling = ChooseImage("mary_dark_smiling.png")
    image mary dark smiling b = ChooseImage("mary_dark_smiling_b.png", "mary_dark_smiling.png")
    image mary dark vhappy = ChooseImage("mary_dark_vhappy.png")
    image mary dark wistful = ChooseImage("mary_dark_wistful.png")
    image mary dark happy = ChooseImage("mary_dark_happy.png", "mary_dark_laughing.png")

    image mary dawn confused smiling = ChooseImage("mary_dawn_confused_smiling.png")
    image mary dawn confused wistful = ChooseImage("mary_dawn_confused_wistful.png")
    image mary dawn smiling = ChooseImage("mary_dawn_smiling.png")
    image mary dawn vhappy = ChooseImage("mary_dawn_vhappy.png")
    image mary dawn wistful = ChooseImage("mary_dawn_wistful.png")

    
    # Персонажи.
    $ narrator = Character("", who_suffix='', what_prefix='', what_suffix='', what_style='say_thought')

    $ p = Character("", who_suffix='', what_prefix='"', what_suffix='"')
    $ pm = Character(u"Я, в роли Священника", who_suffix=': ', what_prefix='"', what_suffix='"')

    $ g = Character(u"Девушка", who_suffix=': ', what_prefix='"', what_suffix='"', color=(255, 128, 128, 255))
    $ m = Character(u"Мария", who_suffix=': ', what_prefix='"', what_suffix='"', color=(255, 128, 128, 255))
    $ lm = Character(u"Внучка", who_suffix=': ', what_prefix='"', what_suffix='"', color=(255, 255, 128, 255))

    # Перевод строк. Частично содержит перевод системных сообщений от Zero (000).
    $ config.translations = {
        'You may want to try saving in a different slot, or playing for a while and trying again later.' : u'Попробуйте сохранить закладку в другой слот, либо продвинуться дальше и сохранить закладку позже.',
        "While Ren'Py games may be playable without the renpy module, some features may be disabled. For more information, read the module/README.txt file or go to http://www.bishoujo.us/renpy/." : u"Несмотря на то что созданные на Ren'Py новеллы могут работать и без модуля renpy, некоторые возможности могут быть недоступны. Для получения подробной информации обратитесь к module/README.txt или http://www.bishoujo.us/renpy/.",
        'renpy module not found.' : u'Модуль renpy не найден.',
        'The renpy module could not be loaded on your system.' : u'Невозможно загрузить модуль renpy на вашей системе.',
        'Old renpy module found.' : u'Обнаружен старый модуль renpy.',
        "An old version (%d) of the Ren'Py module was found on your system, while this game requires version %d." : u"В вашей системе установлена старая версия модуля Ren'Py (%d), новелле требуется версия %d.",
        'Loading will lose unsaved progress.\nAre you sure you want to do this?' : u'Загрузка приведёт к потере текущего прогресса. Продолжить?',
        'Are you sure you want to overwrite your save?' : u'Перезаписать закладку в данном слоте?',
        'Are you sure you want to return to the main menu?\nThis will lose unsaved progress.' : u'Переход к главному меню приведёт к потере текущего прогресса. Продолжить?',
        'Are you sure you want to quit?' : u'Действительно выйти?',
        'Please click to continue.' : u'Щёлкните для продолжения.',
        'Save Failed.' : u'Ошибка при сохранении.',
        'The error message was:' : u'Сообщение об ошибке гласит:',
        'Start Game' : u'Сначала',
        'Continue Game' : u'Продолжить',
        'Load Game' : u'Загрузка',
        'Save Game' : u'Сохранение',
        'Main Menu' : u'Главное меню',
        'Preferences' : u'Параметры',
        'Help' : u'Справка',
        'Quit' : u'Выйти',
        'Yes' : u'Да',
        'No' : u'Нет',
        'Return' : u'Назад',
        'Display' : u'Режим видео',
        'Window' : u'Оконный',
        'Fullscreen' : u'Полноэкранный',
        'Transitions' : u'Эффекты перехода',
        'All' : u'Вкл',
        'None' : u'Выкл',
        'Skip' : u'Режим пропуска',
        'Seen Messages' : u'Прочитанные',
        'All Messages' : u'Все',
        'Begin Skipping' : u'Вкл. пропуск',
        'After Choices' : u'После выбора',
        'Stop Skipping' : u'Отмена пропуска',
        'Keep Skipping' : u'Пропуск далее',
        'Joystick...' : u'Джойстик...',
        'Joystick Configuration' : u'Настройка джойстика',
        'Joystick Mapping' : u'Назначение кнопок',
        'Move the joystick or press a joystick button to create the mapping. Click the mouse to remove the mapping.' : u'Поверните ручку джойстика или нажмите кнопку для назначения действия. Щёлкните мышью для сброса действия.',
        'Left' : u'Влево',
        'Right' : u'Вправо',
        'Up' : u'Вверх',
        'Down' : u'Вниз',
        'Select/Dismiss' : u'Выбрать/Скрыть',
        'Rollback' : u'Откатить',
        'Hold to Skip' : u'Нажать для пропуска',
        'Toggle Skip' : u'Переключить пропуск',
        'Hide Text' : u'Скрыть текст',
        'Menu' : u'Меню',
        'Not Assigned' : u'Пусто',
        'Skip Mode' : u'Режим пропуска',
        'Fast Skip Mode' : u'Режим ускоренного пропуска',
        # В Moonlight Walks нет "музыки" как таковой, и в то же время,
        # не задействованы остальные каналы, поэтому просто "Громкость"
        'Music Volume' : u'Громкость',
        #'Music Volume' : u'Громкость музыки',
        #'Voice Volume' : u'Громкость голосов',
        #'Sound Volume' : u'Громкость звуков',
        'Text Speed' : u'Скорость текста',
        'Auto-Forward Time' : u'Скорость автоперехода',
        'Previous' : u'Назад',
        'Next' : u'Далее',
        'Auto' : u'Автосохранения',
        'Empty Slot.' : u'Пустой слот.',
        'Test' : u'Проверка',
        }

    # Переходы.
    $ slowdissolve = Dissolve(1.0)

label splashscreen:

    scene black
    with None

    scene bigbeach1 at Position(xalign=0, yalign=0)
    if renpy.with_statement(dissolve):
        jump end_splash

    scene bigbeach1 at Pan((0, 0), (0, 1200), 13.0)

    if renpy.pause(2.0):
        jump end_splash

    # 2.0 с

    show presents at Alpha(0, 1, 1), Position(xalign=0.5, yalign=0.5)

    if renpy.pause(6.0):
        jump end_splash

    # 8.0 с

    show presents at Alpha(1, 0, 1), Position(xalign=0.5, yalign=0.5)
    
    if renpy.pause(1.0):
        jump end_splash
        
    # 9.0 с

    play music "waves.ogg" fadein 5.5

    if renpy.pause(4.5):
        jump end_splash

    # 13.5 с

label end_splash:

    hide presents
    
    return

label start:

    # Рассказала ли она о том что стало с её семьёй?    
    $ family_history = False

    # Решили ли мы встретиться с ней снова?
    $ meet_again = False

    $ renpy.clear_game_runtime()
    $ renpy.music.play('waves.ogg', if_changed=True)
    
    # scene beach1 title
    # with dissolve
    scene beach1
    with slowdissolve

    "Летняя пора. Совсем скоро мне поступать в университет. Последние
    пару лет я провёл по уши в учёбе, тестированиях, а потом написал
    заявление о приёме в учебное заведение."

    "Сейчас, впервые за всё это время, мне нечем заняться. Поэтому я
    ухватился за возможность поездки в Америку."

    "Но, поскольку за моей душой ни гроша, далеко идущие планы
    моментально скукожились до летних каникул в доме моих тёти и дяди,
    на маленьком клочке суши под названием Остров Северного Песка."

    "Остров Северного Песка - это барьерный остров в Атлантическом
    Океане, отдалённый от материка настолько, что к нему не ведут даже
    мосты - лишь паром, приходящий сюда несколько раз в день."

    "Поскольку остров столь мал, здесь практически нечем заняться. Но
    и в одиночестве есть свои плюсы, поэтому я нашёл несколько способов
    убить время."

    "Один из них - делать снимки на цифровую фотокамеру. В ночь
    полнолуния, я решил заснять восхождение одинокого спутника нашей
    планеты."

    "Я пришёл на пляж как раз перед восходом, поставил камеру
    на штатив, выставив нужную выдержку и диафрагму."

    "Пока Луна восходит, каждые несколько секунд я жму на кнопку
    дистанционки, шедшей в комплекте с камерой, чтобы заснять очередной
    кадр планетоида и его отражение на водной глади."

    "Чтобы полностью взойти над горизонтом, Луне понадобилось лишь
    несколько минут, но я ещё некоторое время продолжал фотографировать."

    "И наконец, работа завершена. Я начал собирать камеру и штатив,
    готовясь отправиться обратно в дом своих тёти и дяди."

    scene beach1 mary with dissolve

    "И тут я увидел её. Вдалеке я разглядел чью-то фигуру, бредущую
    по пляжу."

    "Судя по длинному белому платью, скорее всего это девушка или
    женщина, но с такого расстояния о ней мало что можно сказать."

    "Поэтому, я решил остаться, чтобы разглядеть её поближе. За всё
    время, проведённое за любованием звёздного неба, я ни разу не
    встречал кого бы то ни было, посреди ночи гуляющего на пляже."

    "В такой поздний час, большинство либо сидит дома, либо тусуется
    где-нибудь в городе. Редко когда можно увидеть человека
    в одиночестве."

    "Единственный раз когда я видел кого-то на пляже ночью - когда
    кто-то любовался звёздами или пролетающими по небу спутниками."

    "Однако, такие индивиды обычно стоят на одном месте и безотрывно
    смотрят в небо, тогда как эта девушка глядит себе под ноги, словно
    наблюдает за собственными шагами."

    "В голове сразу промелькнуло несколько бредовых идей. У неё редкая
    болезнь, и девушка не может выходить при свете солнца? А может она
    ищет клад?"

    "Но и они развеялись через несколько секунд. Потому что, собственно,
    а какова их вероятность?"

    "Она медленно идёт вдоль пляжа, поэтому я решил подождать ещё немного.
    Вряд ли столь медленную походку можно назвать упражнением, но что
    ещё в таком случае она может там делать?"

    # Здесь предполагалось увеличить спрайт Марии в размере?

    "И наконец, она оказалась уже достаточно близко, чтобы я мог её
    разглядеть через объектив фотокамеры."

    "Самая красивая девушка из всех, что я когда-либо видел. На вид она
    примерно моего возраста, может на пару лет старше или младше, с
    идеальной фигурой."

    "Безупречная кожа, правда, несколько бледная. Белокурые, граничащие
    по тону со снегом волосы, как и её длинное белое платье."

    "От всего вместе, сочетания из бледной кожи, светлых волос и белого
    платья, кажется, словно та сияет в лунном свете."

    "Она по-прежнему довольно далеко, и наверняка меня не заметила. И
    тут я понял, что хочу сделать."

menu menu_1:

    "Сфотографировать её.":
        jump take_her_picture

    "Поговорить с ней.":
        jump talk_to_her


# 14 строк.
label take_her_picture:

    "Какой же я буду после этого фотограф, если упущу столь великолепную
    картину? Поэтому я вооружился камерой и нацелил её на девушку."
    
    # Не знаю, почему PyTom решил закомментировать эту картинку. Спойлер?
    # scene girlpic with dissolve

    "Нельзя выдавать своего присутствия. Лучше всего фотографировать
    людей, когда они ни о чём не подозревают. Потому что, если они знают
    что ты делаешь их снимок, то чаще всего начинают позировать,
    а это лишает фото естественности."

    "Я выставил камеру в автоматический режим, зафиксировал фокус на
    девушке и нажал кнопку спуска затвора. Издав тихий писк, камера
    запечатлела её изображение."

    "Я повторил процедуру несколько раз. Мне кажется, стоит делать как
    можно больше снимков, в надежде, что пара-тройка из них выйдет
    идеально."
     
    "Закончив фотосессию, я опустил камеру и помахал девушке рукой."

    "Через несколько секунд она, в конце концов, заметила меня и помахала
    в ответ."

    "Но, она по-прежнему довольно далеко, поэтому даже если я попытаюсь
    с ней поговорить, шум прибоя заглушит мой голос."

    "Я сунул камеру обратно в чехол, поднял штатив и побрёл в дом тёти
    и дяди."

    stop music
    play sound 'click.wav'

    scene transfer

    "Вернувшись домой, я подцепил фотокамеру к компьютеру и стал
    считывать снимки, сделанные этой ночью."

    scene moonpic

    "Фотографии Луны вышли отменными, но на самом деле снимки висящего
    в небе блюдца меня мало интересуют."

    "Поэтому я быстренько их прощёлкал, ища изображения
    сфотографированной мною девушки."

    $ renpy.play('click.wav')
    scene transfer

    "Но, едва до них добравшись, я понял, что со снимками что-то не так."

    scene nogirlpic

    "Её там нет."

    "Я был уверен, что правильно расположил камеру, но моему взору
    предстал только песчаный пляж, что был за её спиной."

    "И сотня таких же снимков. На каждом из них фоновый пейзаж того
    места, куда я целился объективом, но ни на одном нет человека,
    который должен там быть."

    "Около часа я провёл в оцепенении, медленно просматривая каждый
    снимок девушки, тщетно надеясь, что она покажется хотя бы на одном."

    "Но без толку."

    "Сочетание загадочной красоты и странности этих снимков навсегда
    запечатлело её образ в моей памяти."

    "И даже годы спустя, я смогу закрыть глаза и вспомнить - увидеть её,
    в точности, какой та предстала через объектив моей камеры в эту
    лунную ночь."

    $ renpy.music_start('waves.ogg')
    scene beach1 nomoon with dissolve

    "За лето я несколько раз приходил на пляж, любовался звёздами,
    надеясь встретиться с ней снова."

    "Но этого так и не случилось."

    # .:. Концовка 1 "Безмолвие"
    $ ending = 1, u"Безмолвие"
    $ persistent.unlock_1 = True
    jump ending


label talk_to_her:

    "Пока девушка идёт сюда, я решил, что лучше всего будет отложить
    камеру в сторонку и подождать, пока та не окажется поближе."

    "Ведь я не хочу её спугнуть, выбежав навстречу, или же драть
    глотку, пытаясь прорваться сквозь шум океана."

    with dissolve
    scene beach1
    show mary dark wistful
    with dissolve

    "После того, как я прождал, наверно, около получаса, она, наконец,
    оказалось достаточно близко, чтобы я мог поговорить с ней без
    надрыва горла."

    p "Привет."

    "Не самое красноречивое приветствие, конечно, но это всё, что сейчас
    приходит мне в голову. Да и результат не заставил себя ждать."

    "Она остановилась и взглянула на меня. Видимо, ожидая, как я скажу
    что-нибудь ещё."

    p "Чудесная ночь. Тепло, но и не слишком жарко."

    "Она молча кивнула в ответ. Ладушки, хватит блуждать вокруг да
    около - пора спросить то, что я действительно всё это время хотел узнать."

    p "Так что же ты здесь делаешь?"

    g "Прогуливаюсь."

    p "Просто... прогуливаешься? Посреди ночи?"

    g "Да."

    p "А, в частности, куда-нибудь направляешься?"

    g "Брожу вокруг острова, вдоль побережья."

    "Остров не такой уж и большой. На своих двоих я могу обойти его за
    пару часов, может чуть больше, если остановлюсь передохнуть.
    Прогуляться вместе с ней - проще простого."

    p "Не против, если я составлю тебе компанию?"

    g "Если вы этого желаете."

    "Я решил взять камеру с собой, но вспомнил, что спрятал штатив и
    сумку в песке."

    "Достать их обратно заняло лишь пару секунд, и вскоре мы пошли
    вдоль пляжа."
     
    
    scene beach2 with dissolve

    "Какое-то время мы брели в тишине, пока не потеряли из виду нашу
    отправную точку."

    "Тем не менее, я оглянулся и увидел лишь следы наших ног,
    рассекающие песчаную гладь."

    "Прогулка - штука здравая, но мне стоит попытаться поговорить с этой
    девушкой. Посмотрим, получится ли выведать причину её ночных
    блужданий."

    p "Значит..."

    show mary dark wistful with dissolve

    "Она остановилась и перевела взгляд на меня."

    p "Есть причина, по которой мы гуляем ночью вдоль пляжа?"

    # Требуется уточнение
    g "Просто хочется чем-то себя занять."

    p "Ясненько. Часто так делаешь?"

    g "Наверно, делаю так каждый день."

    p "Всегда бродишь в одиночестве, или в компании других людей?"

    g "Обычно я гуляю одна. Но иногда встречаю кого-то ещё, и этот
      кто-то решает пройтись вместе со мной."

    g "И всё же, так было лишь несколько раз, и я не помню, чтобы кто-то
      задавал так много вопросов, как вы."

    "Я не знаю как на это ответить, поэтому ненадолго в воздухе повисла
    тишина."

    show mary dark smiling

    "Наконец, она издала лёгкий смешок, улыбнулась, и перехватила
    инициативу на себя."

    g "А что вы здесь делаете?"

    "Не думал, что я могу её заинтересовать, поэтому на обдумывание
    ответа на её вопрос ушло некоторое время."

    "Видя мою нерешительность, она отрезала..."

    g "По-моему, мы оба считаем, что это редкость - в столь поздний час
      просто так встретить кого-то на пляже. Так что же вы тут делаете?"

    "И снова, какое-то время я обдумывал, что же здесь делаю, но,
    наконец, собравшись с мыслями, ответил..."

    p "Люблю астрономию... то есть, наблюдать за звёздами, правда. Пока
      Луна всходила, я делал её цифровые фотоснимки."

    show mary dark confused wistful

    "Она вопрошающе покосилась на меня, словно понятия не имеет, о чём
    я говорю. Несколько странно, ведь я считал, что все знают, что такое
    цифровая фотокамера."

    menu menu_01171024:
        "Я решил показать ей свою камеру.":

            "Как бы ни были красноречивы слова, лучше просто показать
            девушке сделанные мной снимки. Поэтому, я расчехлил камеру
            и включил её."

            "Затем переключил в режим просмотра фотографий, подгрузил
            последние снятые кадры, на одном из которых виден весь
            лунный диск."

            "И наконец, поднёс камеру девушке, чтобы та рассмотрела
            картинку на жидкокристаллическом экране."

            "Как следует рассмотрев снимок, она перевела взгляд
            на Луну в небе, а затем вновь пристально уставилась
            на экран."

            g "Луна... Она такая крошечная."

            "И что, интересно, она так долго там рассматривала?"

            p "На цифре картинки мелковаты, но на мониторе компьютера
            они выглядят гораздо больше."

            "Я попытался было объяснить, но, кажется, мои слова ещё
            сильнее сбили её с толку, так что я решил сменить тему."

        "Я решил показать ей Луну.":

            p "Когда я был маленьким, то обожал астрономию. Любовался
              Луной и знал имена её морей наизусть."

            g "Правда?"

            p "Ну, сейчас я уже так не могу. Зато по-прежнему помню
              местонахождение одного из них."

            hide mary

            "Я вытянул указательный палец к Луне, а девушка, в свою
            очередь, повернулась, чтобы рассмотреть её." 

            p "Взгляни на правую часть Луны. Если приглядеться, то
              можно заметить нечто, похожее на мальчишку, с головой,
              торсом и двумя ногами."

            p "Видишь его?"

            g "Да, вижу!"

            "Кажется, она восхищена, будто никогда раньше так на Луну
            не смотрела. Наверно, это правда."

            "Каждый человек усматривает там что-то своё. Кто-то видит
            мужичка, кто-то девочку с мальчиком, а кто-то кролика."

            p "Так вот, посмотри на его туловище. Это Море
              Спокойствия, по которому шагали Нил Армстронг и Базз
              Олдрин."

            show mary dark confused smiling with dissolve

            g "Базз? Как жужжание насекомого?"

            p "Ну, его настоящее имя - Эдвин. Но все звали его Базз.
              Сам не знаю почему."

            "Несколько мгновений она простояла молча, пытаясь осмыслить
            мой рассказ."

            g "Значит, по Луне ходят люди?"

            p "Уже нет. Последний раз человек летал туда в семидесятых,
              и с тех пор больше никого не посылали."

            g "То есть, мы их посылали?"

            p "Ага. Кстати, все кто побывал на Луне - американцы."
            
            show mary dark smiling

            "Она улыбнулась, словно сделала для себя удивительное
            открытие, и сам этот факт доставил ей неописуемое
            удовольствие."

            "И всё-таки, странно, что она не слышала о высадках на Луну.
            А я думал, что о них знают все, ещё со школьной поры."

            "С другой стороны, я испытал чувство удовлетворения от
            самого факта, что первый поведал ей об этом."

            "Наконец, я решил перевести беседу на тему, с которой у неё
            не возникнет проблем."

    p "Скажи, ты выросла здесь? Ну, то есть, ты местная?"

    show mary dark smiling

    g "Да."

    g "Когда я росла, на острове не было всех этих домов и зданий."

    g "Не было ничего, кроме ферм, и фермы те были большие."

    g "Здесь жили четыре семейства, и вместе мы владели всей здешней
      землёй."

    g "Одной из этих четырёх была моя семья. Мы владели южным концом
      острова, там, где мы с вами впервые встретились."

    g "Хоть мы и не занимали свои владения полностью, у нас была
      достаточно крупная ферма, чтобы можно было прокормиться и часть
      овощей продавать на рынке."

    "Я и не подозревал, что население острова совсем недавно было столь
    малочисленным. Конечно, туризм привлекает новых людей... но чтобы
    настолько?"

    p "Значит, ты ходила в школу на материке?"

    g "Иногда. Когда ездили на пароме, чтобы продать выращенное, мы
      проводили несколько дней в школе, на проверке наших знаний."

    g "Но в основном занимались дома."

    g "Мама учила нас читать и писать, а Папа учил математике и
      прочему."

    show mary dark wistful

    g "По крайней мере, до их кончины..."

    "С этими словами, улыбка сошла с её лица. Очевидно, для неё это
    слишком болезненная тема."

menu menu_2:

    "Спросить о её родителях.":
        jump asked_about_parents

    "Промолчать.":
        jump dropped_it

label asked_about_parents:

    $ family_history = True

    p "Можешь рассказать мне о своих родителях?"

    g "Папа с Мамой прибыли из-за океана и поселились на острове, когда
      ещё были маленькими."

    g "Папа сражался в войне. Когда она закончилась, он женился на
      Маме. Его пенсии было достаточно, чтобы переселиться сюда
      с материка и построить наш дом."

    g "Вместе они возделывали землю, и, в конце концов, у них появились
      дети."

    g "У меня были старшая и младшая сестра. Я была средним ребёнком."

    show mary dark sad

    "Прежде чем продолжить, она на секунду остановилась, чтобы собраться
    с мыслями. Эти слова даются ей очень нелегко."

    g "Когда мне было десять, на острове началась эпидемия."

    g "Мы слегли с болезнью, как и все остальные семейства."

    g "Моя семья была слишком больна, чтобы уехать, но наши соседи,
      Миллеры, послали несколько своих сыновей на материк за помощью."

    "Если память меня не подводит, Миллер - это фамилия моих тёти и
    дяди. Интересно, имеет ли всё это какое-то отношение ко мне?"

    g "Я не знаю, что с ними стало, но от них больше не было никаких
      вестей."


    show mary dark crying

    g "Через неделю, всё было кончено. Мои сёстры... мои родители...
      все они..."

    g "Теперь я совсем одна."

    p "Прости."

    "Не знаю, что ещё можно сказать девушке. потерявшей всю свою семью
    и, естественно, горюющей об этом."

    show mary dark sad

    "Кивнув в ответ, она вытерла слёзы, и вновь мы молча побрели по
    пляжу."

    jump walking_again

label dropped_it:

    "Наверно, если я попытаюсь узнать о том, что стало с родными, то
    доведу её до слёз. Поэтому, я решил просто помолчать и вновь побрёл
    по пляжу."


# 52 строки.
label walking_again:

    scene beach3 with dissolve
    $ persistent.unlock_dark = True

    "Не знаю, сколько прошло времени с тех пор как мы не обронили ни
    слова. Может час, может меньше, а может и больше."

    "Мы неспешно перемещаемся вокруг острова, а я иду в нескольких шагах
    позади неё."

    "Будь на моём месте кто-то другой, он наверняка бы уже попрощался и
    ушёл восвояси."

    "Но, есть в этой девушке нечто, что заставляет меня остаться с ней."

    "Её атмосфера, так сказать. Красоты? Трагедии? Одиночества? Пожалуй,
    всё вместе, и даже больше."

    "И вот, мы продолжаем молча гулять по залитому лунным светом пляжу."

    "В конце концов, моё терпение иссякло, и я вновь попытался завести
    беседу."

    show mary dark wistful with dissolve

    p "Так... есть ли что-то чего тебе хочется от жизни?"

    "Несколько секунд она никак не реагировала, словно я сказал какую-то
    глупость."

    "Но затем, она ответила..."

    show mary dark smiling b

    g "Раньше, я думала что знаю, чего хочу."

    g "В детстве казалось, будто моя жизнь давным-давно распланирована
      за меня. Я бы пошла по стопам своей матери."

    g "Какое-то время я бы помогала родителям на ферме. Даже когда были
      маленькими, мы выполняли работу по дому, и едва закончив с учёбой,
      старались помочь ещё."

    g "И со временем, я бы встретила хорошего парня. Тогда я, правда, не
      знала кого... Если подумать, наверно кого-нибудь из сыновей
      Миллеров. Ведь все они были моими ровесниками."

    g "Мы бы поженились, завели собственную ферму."

    g "И вместе растили семью. Несколько девочек... А ещё я всегда
      хотела мальчика, потому что у меня были одни сёстры."

    show mary dark wistful

    g "Но сейчас..."

    "Едва мысль оборвалась на полуслове, как улыбка сошла с её лица.
    Чуток погодя, она перенесла предмет беседы на меня."

    g "А вы? Какие у вас планы на будущее?"

    "Этот вопрос застал меня врасплох. Во-первых, потому что я не ожидал
    от неё того же, что задавал сам. А во-вторых, потому что на самом
    деле о будущем почти никогда не задумывался."

    show mary dark smiling

    "Видя, что я, по всем признакам, сбит с толку, она мягко улыбнулась."

    p "Ну, это лето я провожу в гостях у родных. А когда оно закончится,
      буду учиться в школе."

    g "А не староваты ли вы для школьника?"

    p "Вообще, это школа штата... На самом деле, так зовётся
      университет, в который этой осенью мне предстоит пойти."
    
    p "Правда, не знаю, чем займусь после... я даже не в курсе, какие
      занятия буду посещать, и уж тем более какая у меня будет
      специальность."

    p "Наверно, когда занятия закончатся, какое-то время буду жить
       вместе с родителями."

    p "И, в конечном итоге, устроюсь на работу и перееду."

    p "Что касаемо собственной семьи... по правде говоря, даже
      не представляю, когда такое случится."

    p "Просто, об этом я ещё особо не задумывался. Вряд ли у многих
      жизнь спланирована так здорово, как твоя."

    p "Думаю, большинство людей на этот счёт просто импровизирует."

    show mary dark laughing

    "И тут, она тихонько усмехнулась."

    p "Я сказал что-то не то?"

    show mary dark smiling

    g "Нет-нет, вовсе нет. На самом деле, я вам завидую."

    p "С чего бы?"

    g "Просто, вы можете делать со своей жизнью всё, что пожелаете.
      Можете пойти туда, куда хотите."

    g "Некоторые считают, что слишком большая свобода выбора - как
      проклятье или обуза."

    g "Но, по мне так это всего лишь свобода, а свобода - вещь славная."

    g "Мне кажется, это здорово - жить, когда твоё будущее не
      предопределено, где ты можешь делать всё, что заблагорассудится."

    "И вновь, я не знаю что сказать. На какое-то мгновение мне даже
    показалось, что нам опять придётся гулять молча."

    "Но, не давая беседе прекратиться, она спросила..."

    g "А как вы проводите досуг?"

    p "Да много как. Люблю рисовать, слушаю музыку, смотрю мультфильмы
      и американский футбол по ящику."

    show mary dark confused smiling

    g "Фут...бол?"

    "Она медленно повторила название, словно знает его часть, но
    никогда раньше не слышала целиком."

    p "Ага, футбол. Ну, вид спорта такой... ты ведь слышала о нём, разве
      нет?"

    "Она покачала головой, давая понять, что не слышала."

    p "Как же получше объяснить...?"

    p "Значит, на одном поле две команды, у одной из команд мяч.
      Центровой отбивает мяч распасовщику."

    p "Распасовщик может либо бросить мяч другому игроку, передать его
      ещё кому-нибудь, либо самому попытаться с ним пробежать."

    "Кажется, каждое моё слово, ещё сильнее сбивает её с толку. Но я не
    знаю что с этим поделать, поэтому просто продолжаю объяснять."

    p "Команда противника пытается их остановить, зажимая игрока с
      мячом. Если они не смогут перенести мяч на десять ярдов за четыре
      попытки, его передают команде противника..."

    show mary dark laughing

    "И тут, прямо посреди рассказа, она закатилась хохотом. Если
    представить всё это со стороны, моё разъяснение и правда кажется
    несколько абсурдным."

    hide mary with dissolve

    "Вот так мы скоротали ночь, болтая о всякой всячине."

    "В основном, говорил я, а девушка слушала. Иногда она меня о чём-то
    спрашивала, а я старался ответить, как мог."

    "И много раз, что не очень-то любезно с её стороны, она закатывалась
    хохотом, когда я пытался выдавить из себя очередное объяснение."

    "Так, собственно, мы и провели остаток ночи - болтая и смеясь, пока
    гуляли вокруг острова."

    $ renpy.music_start('softwaves.ogg')
    scene dawn1 with dissolve
    show mary dawn smiling with dissolve

    "К рассвету мы сделали практически полный круг, и оказались на
    утёсе, неподалёку от места, где впервые встретились."

    "Девушка стала спускаться обратно на пляж, но я остановил её."

    show mary dawn confused smiling

    p "А я надеялся, что мы останемся здесь и полюбуемся восходом
      солнца."

    show mary dawn confused wistful

    "К моему удивлению, кажется, эта фраза прозвучала для неё будто гром
    среди ясного неба."

    g "Уже восход солнца? Мне пора...!"

    "Это удивило меня ещё больше, ведь мы так здорово ладили, и тут на
    тебе - уже готова сорваться с места."

    show mary dawn wistful

    "Пытаясь объяснить, она постепенно переменила тон, должно быть,
    заметив разочарование на моём лице."

    g "Дело... не в вас, я бы с радостью... просто, я... я не могу."

    p "Ясно."

    "Хоть я так и сказал, на самом деле мне ничего не ясно."

    hide mary with dissolve

    "Пока та удаляется, я перерываю чердак в надежде найти слова,
    которые могли бы задержать её хоть на мгновение."

    "И тут, я внезапно понял, что забыл спросить нечто очень важное."

menu menu_3:
    '"Как тебя зовут?"':

        "Я осознал, что за всю эту ночь так и не узнал её имени. Такая
        у меня плохая привычка - болтать без устали, даже не спрашивая,
        как звать собеседника."

        "Потому я и задал (точнее, почти что прокричал) этот вопрос."

        show mary dawn smiling with dissolve

        "Она остановилась, повернулась ко мне и улыбнулась."

        g "Мария... Мария Харпер!"


    '"Когда мы сможем увидеться снова?"':

        "Я осознал, что не знаю, когда снова смогу с ней встретиться. И
        если не узнаю, то наверняка её больше никогда не увижу."

        show mary dawn smiling with dissolve

        "На мгновение она замялась, размышляя, и, наконец, произнесла..."

        g "Вы сможете увидеть меня вновь в ночь следующей полной Луны."

        p "На следующее полнолуние? Это же почти целый месяц. А раньше
          нам никак не встретиться?"

        show mary dawn wistful

        g "Сожалею... только тогда..."

        p "Ладушки. Значит, я буду ждать, на том же месте, где впервые
          увидел тебя!"

        $ meet_again = True

# Переход на ярко-жёлтый, затем на чёрный.
scene yellow with dissolve
scene black with slowdissolve

"И тут солнечный свет пронзил горизонт. Его сияние ослепило меня, и я
рефлекторно зажмурил глаза."

"Много раз в своей жизни я наблюдал за восходом солнца, но никогда ещё
он не был столь ярким, как сейчас."

scene dawn2 with dissolve
$ persistent.unlock_dawn = True

"Когда мои глаза открылись, девушки уже и след простыл."

"Не знаю, почему она ушла и как могла уйти так быстро. А главное, куда?"

"Зато, что уж знаю наверняка - я очень хочу встретить её снова."

if meet_again:
    jump second_day

label ending2:

    "Зная её имя, я решил поискать сведения о ней в глобальной сети."

    "Конечно, поисковый запрос \"Мария Харпер\" выдал тысячи результатов."

    "Однако, сведя всё до локальных запросов, результат стал нулевым."

    "Судя по телефонному онлайн-справочнику, на острове не живёт людей
    по фамилии \"Харпер\"."

    $ renpy.music_start('cars.ogg')                       
    scene library with dissolve
    
    "Немного выспавшись, я направился в местную библиотеку, в надежде
    выяснить о девушке хоть что-нибудь."

    "Раз она сказала, что родом отсюда, я взял книгу истории Острова
    Северного Песка."

    if family_history:
        "Мне пришло на ум, что семья, скошенная эпидемией, наверняка могла
        засветиться на её страницах."

    "Единственное, что я нашёл в книжке, связанное с фамилией
    \"Харпер\" - небольшая статья о семье Харпер, жившей на острове в
    80-х годах 18-го века."

    "Они пали жертвами чумы, убившей почти всё живое на острове в
    1790-м. Единственными выжившими были несколько мальчишек, которых
    послали, чтобы рассказать о беде."

    "Эпидемия опустошила остров, и лишь после гражданской войны люди
    стали заселять его вновь."

    if family_history:

        "От ощущения, насколько сильно эти факты схожи с тем, что стало
        с семьёй Марии, у меня мороз прошёлся по коже."

        "Отец, мать и три дочери - все умерли от болезни."

        "Как и все остальные, жившие на острове."

        "Но, конечно, наверняка это просто совпадение, потому что
        события, расписанные в книжке, произошли больше двух столетий
        назад."

        "И кроме них, я не смог найти ничего новее, и, в конечном итоге,
        сдался."

    else:

        "Я просмотрел всю книжку, а затем записи о людях,
        проживавших на острове после очередного заселения."

        "Несмотря на многочасовые поиски, я не смог найти никого по
        фамилии Харпер."
        

    $ renpy.music_start('waves.ogg')
    scene beach1 nomoon with dissolve

    "На следующую ночь, я пришёл на пляж, на то самое место, где впервые
    увидел её, в надежде, что она появится снова."

    "Я провёл там всю ночь, но девушка так и не пришла."

    "Прошёл день, и я опять стоял на пляже. И на следующую ночь, и на
    следующую после предыдущей. Каждую ночь в течение двух недель."

    "Но, после той первой ночи, я больше никогда её не видел."

    "И конечно, я никогда её не забуду."


    # .:. Концовка 2 - История.
    $ ending = 2, u"История"
    $ persistent.unlock_2 = True
    jump ending


label second_day:

    "Чтобы совершить полный цикл, Луне требуется двадцать девять дней.
    Собственно, столько мне и пришлось ждать, чтобы снова с ней
    увидеться."

    "Конечно, я бы здорово облагородил этот рассказ, сказав, что всё
    это время провёл, размышляя о ней, но в реальной жизни так не
    бывает."

    "Естественно, весь месяц я ещё и чем-то занимался, но, по правде
    говоря, не могу даже вспомнить чем именно."

    "Хотя, некоторое время всё же думал о девушке, вспоминал как та
    смеялась и улыбалась."

    "И проклинал себя за то, что не спросил её имени."

    "Постоянно проверяя и перепроверяя точную дату полнолуния, чтобы
    наверняка придти в ту самую ночь."

    $ renpy.music_start('waves.ogg')
    scene beach1 with dissolve

    "И наконец, наступил тот самый вечер, и я вновь стою на пляже, глядя
    на Луну."

    g "Долгое ожидание, не правда ли?"

    show mary dark smiling with dissolve

    "Я обернулся и понял, что девушка стоит рядом со мной."

    g "По правде говоря, не думала, что вы придёте. Это редкость для
      меня - увидеть кого-то во второй раз."

    p "Эй, я же сказал, что буду здесь, разве не так?"

    g "Да, сказали."

    p "Такой уж я человек, слов на ветер не бросаю. Раз сказал что буду
      где-то, значит там и буду."

    p "Да и потом, если парень не захочет вернуться, чтобы вновь
      увидеться с тобой, значит у него мозги набекрень."

    p "Хотя, наверно, ты просто не слышала, ведь в прошлый раз так быстро
      удалилась. У меня даже не было возможности узнать твоё имя."

    g "Мария."

    m "Мария Харпер."

    p "Ладушки, Мария Харпер, рад снова тебя видеть, после почти
      месячной разлуки."

    show mary dark wistful

    m "Я тоже рада вас видеть, но для меня мы словно расстались только
      вчера."

    "Не совсем понимаю, что она имеет в виду, поэтому скажу то, что у
    меня на уме."

    p "Наверно, то же самое можно сказать и обо мне. Весь этот месяц я
      провёл, думая о тебе."

    show mary dark smiling

    # С этого места Мария называет протагониста на "ты"
    m "Вряд ли для нас обоих это одно и то же... Но, мне приятно это
      слышать."

    "Я не знаю что на такое ответить, поэтому решил промолчать..."

    "...и мы просто вместе пошли по пляжу, вдоль побережья."

    scene beach2 with dissolve

    "Чуток погодя, Мария сломила молчание и задала мне вопрос."

    show mary dark smiling with dissolve

    m "Я рассказала тебе немножко о своей семье... но о твоей я
      ничего не знаю. Какая она?"

    p "На острове я живу с тётей и дядей. Дома же, на материке, с
      матерью, отцом и сестрой."

    m "С сестрой? Старшей или младшей?"

    p "Она младше меня на два года."

    m "Вы двое хорошо ладите?"

    "На мгновение я задумался, как лучше ответить, и решил, что
    честность - лучшая политика."

    p "Не очень. Дерёмся, как кошка с собакой."

    show mary dark laughing

    "Услышав это, она мягко усмехнулась."

    show mary dark smiling

    m "А почему дерётесь?"

    p "Ох, повод каждый раз разный. Стоит нам только оказаться в одной
      комнате на пару-тройку часов, и тут, внезапно, слово за слово...
      и нас уже не разнять."

    "По-моему, продолжать рассказ о том, как мы с сестрой постоянно
    дерёмся - не лучшая затея, поэтому лучше найти другую тему для
    беседы."

    if family_history:

        p "Как ты уживалась со своими сёстрами?"

        show mary dark wistful

        "На секунду я пожалел, что задал этот вопрос, вспоминая, как
        Мария едва не разрыдалась, когда рассказывала о своей семье."

        show mary dark smiling
        
        "Однако, сейчас она, кажется, рада о них поговорить."

        m "Мои сёстры и я... мы были лучшими друзьями."

        m "Иначе и быть не могло, ведь наш дом был очень маленьким."

        m "Пока мне не исполнилось семь, мы даже спали в одной кровати."

        m "И мы всё делали вместе. Когда надо было помочь по дому, мы
          помогали друг дружке, и так управлялись намного быстрее."

        p "Вы часто играли вместе?"

        m "Конечно! Папа сделал нам кукольный домик, Мама сшила кукол,
          и мы играли, все вместе."

        m "Играли в семью. Карен была отцом, я была матерью, а Алиса
          была нашей дочерью."

        m "Мы пели и смешили друг дружку. Я не смеялась так с тех
          пор..."

        show mary dark wistful
        
        m "То есть, пока мы не встретились, месяц назад."

        "Я заметил нотки тоски в её голосе и решил сменить тему. А
        затем, мы вновь пошли вместе вдоль пляжа."
        
    else:

        show mary dark confused smiling

        p "О, гляди!"

        hide mary
        
        "Я выкрикнул первое, что пришло в голову, и побежал по пляжу."

        "Она побежала следом за мной."

        "Чуток погодя, я слегка притормозил, давая ей поймать себя."

        show mary dark happy with dissolve

        m "Попался!"
    
        "Смеясь сказала она, схватившись за мою майку."

        hide mary with dissolve

        "А затем, мы вновь пошли вместе вдоль пляжа."

    scene beach3 with dissolve

    "Всю прошедшую ночь мы болтали о всякой всячине. Честно говоря, я
    даже не помню, о чём именно мы говорили."

    "Единственное, что я запомнил - ощущения."

    "Запах соли в морском воздухе."

    "С каким звуком волны ударяются о берег."

    "Как её кожа сияет в лунном свете."

    "Ощущение песка на теле, после того, как я поскользнулся на камне и
    упал."

    "Теплота руки Марии, нагнувшейся, чтобы помочь мне встать."

    show mary dark wistful with dissolve

    m "Ты в порядке?"

    p "Кажется, да. Песок мягкий."

    show mary dark smiling

    m "Слава богу. На чём ты поскользнулся?"

    p "Кажись, на камне, или вроде того."

    "Повернувшись, я окинул взглядом место своего приземления. Там груда
    камней. Любой бы на моём месте там свалился, так что винить себя не
    в чем."

    m "Осторожней. Я не хочу, чтобы ты поранился."

    "Я кивнул, бросил последний взгляд на камни, и повернулся с желанием
    идти дальше. Но тут в моём глазу что-то блеснуло золотом."

    "Подойдя к месту, где увидел вспышку, я стал рыть песок руками. Через
    несколько секунд, к тому же самому месту подошла и Мария."

    show mary dark confused smiling

    m "Ты что-то ищешь?"

    p "Я не..."

    "Я хотел сказать, что не знаю, но остановился. Потому что, наконец,
    нашёл, что искал."

    "В моих руках золотое кольцо. Я вытянул руку, чтобы дать Марии на
    него взглянуть."

    p "Это кольцо."

    "Рассмотрев его чуть поближе, я понял, что оно слишком яркое для
    настоящего золота, и там, где золотое напыление сошло, виднеются
    царапины."

    "Я вновь протянул кольцо Марии, чтобы и та могла как следует его
    рассмотреть."

    show mary dark smiling

    m "Красивое!"

    p "Оно не настоящее. Кто-то взял металлическое кольцо и позолотил
      его, чтобы выглядело более привлекательно."

    m "И всё равно, оно красивое."

    p "Если нравится, можешь взять себе."

    show mary dark vhappy

    m "Правда?"

    p "Ага."

    m "Можешь надеть его на меня?"

    "Раз она вытянула свою руку, мне незачем отвечать на это словами.
    Я взял её, и надел кольцо ей на палец. Как раз в пору."

    m "Спасибо!"

    hide mary with dissolve

    "С этими словами, она взяла меня за руку, и мы продолжили гулять по
    пляжу."

    $ renpy.music_start('softwaves.ogg')
    scene dawn1 with dissolve

    "И прежде чем мы опомнились, пришёл рассвет. И вот, мы стоим там же,
    где расстались месяц назад."

    p "Может останешься на этот раз и понаблюдаешь за восходом?"

    show mary dawn wistful with dissolve

    m "Прости... не могу."

    p "Ладно, и когда же мы снова увидимся?"

    m "Я могу встретиться с тобой лишь в ночь при полной Луне."

    "Хоть я и думал, что она может так ответить, всё равно немножко
    больно это слышать. Я не знаю, как проведу целый месяц, ни разу с
    ней не повидавшись."

    p "Но почему? Почему я не могу увидеть тебя раньше?"

    m "Потому что я призрак."

    "Она сказала это, будто самую очевидную и обыденную на свете вещь,
    случающуюся сплошь и рядом."

    "Растерявшись и не зная, что ответить, я стою как истукан."

    "В конце концов, Мария решилась в подробностях рассказать о своей
    судьбе."

    m "Я стала призраком, когда умерла... умерла вместе со всей своей
      семьёй, в эпидемии, прокатившейся по этому острову, когда мне было
      десять."

    m "И почему-то, в ночь полнолуния я вернулась. Просто очутилась
      здесь, на острове."

    m "Я вернулась в ночь и на следующее полнолуние, и на следующее, и на
      все остальные, сколько я помню. Я всегда возвращаюсь в ночь
      полной Луны."

    m "И когда я возвращаюсь, то могу делать всё, что пожелаю. Но, едва
      восходит солнце, как в глазах темнеет, и внезапно проносится
      месяц."

    m "Так продолжается уже сотни лет."

    m "Поначалу было скучно, но в конце концов на острове опять
      появились люди. Иногда, кто-нибудь встречал меня, как и ты."

    m "Какое-то время мы прогуливались. Но большинство из них хотели
      разговаривать со мной лишь потому что я призрак."

    m "А через какое-то время, они уходили и больше не возвращались.
      Пожалуй, это всё, что я могу сказать."

    show mary dawn confused wistful

    m "Если подумать, ты никогда меня об этом не спрашивал. Неужели
      не догадался?"

    menu menu_4:

        '"Конечно, догадался."':

            "Оглядываясь на прошедшие события, всё было очевидно. Как
            она исчезла в тот первый восход, как ничего не знала о
            вещах, известных любому живущему сейчас..."

            "Но чтобы куски мозаики, наконец, соединились, и я принял это
            как должное, ей пришлось мне всё рассказать."

        '"Понятия не имел."':

            show mary dawn smiling

            m "Разве? Обычно до людей доходит ещё в первую ночь."

            m "Это единственная причина, почему те когда-либо
              возвращались. Они приходили поговорить с призраком, пока
              не теряли интерес."

            show mary dawn vhappy

            "Она издала лёгкий смешок, и, кажется, что-то поняла."

            m "Значит... ты здесь не потому что я призрак?"

            m "Ты вернулся, потому что хотел просто побыть со мной?"

            "И вновь, я потерял дар речи, поэтому ещё некоторое время мы
            простояли молча."

    show mary dawn wistful
  
    "Наконец, она заговорила."

    m "Солнце почти взошло, и мне пора идти."

    p "Не уходи."

    show mary dawn confused wistful

    m "Но..."

    hide mary with dissolve

    "Ухватив её за руку, я притянул её поближе к себе."

    p "Побудь со мной и посмотри на восход."

    "После этого, мы ничего не сказали. Лишь стояли, рука об руку, глядя
    как небо постепенно заливает светом."

    "Я ощущал её левую руку в своей правой руке, пока мы стояли на утёсе,
    глядя через океан."

    scene dawn2 with dissolve
    
    "Как только взошло солнце, моя правая рука внезапно опустела."

    "Я повернулся, но девушка, что стояла справа, исчезла."

    p "Наверно, она и в самом деле призрак."

    "Пробормотал я в пустоту. Она сказала мне, и я ей поверил, но до
    момента исчезновения всё ещё оставалась капля сомнения."

    "Всё утро я провёл в размышлениях, стоя на том утёсе."

    menu menu_5:

        "И, наконец, понял, что..."

        "Я должен её освободить.":

            jump ending3

        "Всё это не важно.":

            jump ending4

##############################################################################
# Концовка 3
# Здесь используется прошедшее время, потому что протагонист уже рассказывает
# историю своей внучке (sick!)

label ending3:

    "Я понял, что это неестественно для кого-то вроде Марии застрять на
    этом свете в виде призрака, и сотни лет, как приговорённой,
    появляться лишь в ночи полнолуния."

    "И, вопреки моим чувствам к ней, я пришёл к заключению, что лучшее,
    что я могу для неё сделать - помочь упокоиться с миром."

    $ renpy.music_start('cars.ogg')
    scene library with dissolve

    "Весь последующий месяц я проводил исследования в маленькой
    библиотеке острова."

    "Проглатывая одну за другой книги с оккультным контекстом. О
    призраках, магии... всё в таком духе."

    "Читал по две-три книги в день."

    "Когда книги в библиотеке острова кончились, я попросил заказать
    с материка ещё."

    "Дошло до того, что большинство библиотекарей знали меня по имени,
    а остальные по моей репутации студента, помешанного на
    сверхъестественном."

    "Несмотря на то, что большинство книжек содержали в себе один лишь
    вымысел, глубоко в подтексте некоторые имели мелкую долю истины."

    "И единственным способом её выцепить было прочесть все доступные
    источники и понять, что в них всех есть общего."

    "На следующую ночь полной Луны, я уже был готов применить на
    практике полученные знания."

    $ renpy.music_start('waves.ogg')
    scene beach1 with dissolve
    show mary dark smiling with dissolve

    "Я вернулся на то место, где мы встретились в первые две ночи, и
    стал наблюдать, как на берег медленно накатывают морские волны."

    "Мария была здесь и ждала меня."

    m "Ты пришёл."

    p "После всего, что случилось, я и не думал бросать тебя одну."

    "На это она ничего не сказала."

    p "Так, что мы будем делать сегодня?"

    m "Обычно, я провожу ночь, гуляя вокруг острова, что мы и делали
      прошлыми ночами."

    p "Ясно. Тогда, можно пригласить вас на прогулку?"

    m "Конечно."

    hide mary with dissolve

    "Она взяла меня за руку, и мы начали своё привычное путешествие
    вокруг острова."

    scene beach2 with dissolve 

    "На сей раз мы много не говорили. Да и нам этого не было нужно.
    Просто быть рядом друг с другом - этого достаточно."

    "Холодный воздух контрастировал с теплотой её кожи."

    "Кто бы мог подумать, что призраки бывают тёплыми?"

    "Чтобы убить время, мы несколько раз заводили краткие беседы."

    "Но в основном, молча гуляли. События прошлой нашей встречи пали на
    нас тяжким грузом, словно мы оба ждали их логического завершения."

    "И наконец, я больше не мог сдерживаться, перешёл к делу и задал
    вопрос, который не мог не задать."

    show mary dark smiling with dissolve

    p "Мария, жалеешь ли ты о чём-нибудь, что никогда не могла сделать?"

    "Та самая доля истины, что я нашёл во всех этих книжках. Тот самый
    ключ к существованию призрака. Сожаление."

    show mary dark confused smiling

    m "Что ты имеешь в виду?"

    p "Не знаю... Есть ли на свете то, что ты хотела сделать, но так и
      не смогла?"

    show mary dark wistful

    "Ненадолго она погрузилась в раздумье."
    
    "И наконец, ответила едва различимым шёпотом..."

    m "Я хотела выйти замуж."

    "Я так и знал."

    "Я составлял список возможных вещей, о которых Мария вероятней всего
    могла сожалеть, и эта была под номером один."

    "Она говорила, что выйти замуж - её мечта... чёрт, а ведь её платье
    здорово смахивает на подвенечное."

    "И я знал, что если люблю её, есть лишь одна вещь на свете, которую
    я мог сделать. Поэтому я встал на одно колено и произнёс..."

    p "Мария Харпер, ты выйдешь за меня?"

    show mary dark confused wistful

    "Она была потрясена этим... и безмолвно простояла несколько секунд.
    И наконец, спросила..."

    m "Ты уверен... что хочешь жениться... на мне?"

    p "Больше, чем когда-либо."

    show mary dark vhappy

    m "Тогда... Я согласна!"

    show mary dark confused smiling

    "Я встал и мы обнялись. Однако, она по-прежнему была слегка
    смущена."

    m "Но, как же мы это сделаем? Я появляюсь лишь по ночам, и вряд ли
      священник станет венчать призрака."

    p "Не беспокойся. Мы можем устроить гражданский брак."

    m "Гражданский брак?"

    p "Если мы скажем что поженились, и дадим друг другу клятву, это
      зачтётся."

    show mary dark vhappy

    m "Серьёзно? Тогда, когда мы сможем пожениться?"

    p "Если ты готова, мы можем сделать это прямо сейчас."

    m "Готова!"

    p "Тогда, вперёд."

    "Я вытащил из своего заднего кармана заранее подготовленную
    шпаргалку со свадебными клятвами."

    show mary dark smiling

    "Затем немного понизил тон своего голоса, сделав его похожим на
    пафосный голос священника, и начал зачитывать..."

    pm "Берёшь ли ты эту женщину в свои законные жёны, с этого момента,
       в радости и в горе, в богатстве и в бедности, в болезни и
       в здравии, чтобы любить и лелеять пока смерть не разлучит вас?"

    "Нормальным голосом, я ответил..."

    p "Беру."

    "Затем повернулся к Марии, и повторил клятву для неё."

    pm "Берёшь ли ты этого мужчину в свои законные мужья, с этого момента,
       в радости и в горе, в богатстве и в бедности, в болезни и
       в здравии, чтобы любить и лелеять пока смерть не разлучит вас?"

    m "Да."

    "Несколько мгновений мы простояли молча, прежде чем я, наконец,
    продолжил..."

    p "Ну вот и всё. Мы женаты. Всё что осталось - поцелуй."

    "Она подошла ко мне вплотную, и мы обнялись."

    scene black with dissolve

    "Ожидая её поцелуя, я закрыл глаза."

    m "Спасибо."

    "Услышав её шёпот, я почувствовал, как её тёплые губы коснулись
    моих."

    "А затем... ничего, кроме прохладного ночного воздуха."

    scene beach2 with dissolve

    "Когда я открыл глаза, рядом никого не было."

    $ renpy.music_start('frogpond.ogg')
    scene littlemary
    
    # Да, это FFFFFUUUUU-. Честно говоря, эта концовка меня бесит. >_<
    lm "Фу-у-у-у!!!"

    "Надувшись, внучка прервала мой рассказ."

    lm "Ты целовался с кем-то, кроме Бабули!"

    lm "Ты {i}женился{/i} на ком-то, кроме Бабули!"

    p "Ну, это было ещё до того, как я встретил твою бабушку."

    p "Кроме того, так я впервые с ней и познакомился. Она была
      практиканткой в библиотеке."

    p "И с тех пор, я больше никогда не видел Марию."

    "Она всё ещё сомневается."

    lm "Это и впрямь было на самом деле?"

    p "Чтоб мне треснуть."

    "На пару секунд она задумалась, и ответила..."
    
    scene littlemary2

    lm "Я тебе не верю. Расскажи мне что-нибудь ещё!"

    p "Не сегодня. Все нормальные дети уже давно спят."

    lm "Но...!"

    p "Никаких \"но\", тебе пора спать."

    scene black with dissolve

    "Я выключил свет, чтобы та, наконец, легла в кровать."

    "Иначе моя внучка бы не спала всю ночь."

    "Моя внучка Мария, чьё имя я предложил своему зятю, когда мы ждали
    родов в больнице."

    "Моя внучка, названная в честь девушки, на которой я был женат лишь
    на мгновение, на пляже, залитом лунным светом, давным-давно."

    # .:. Ending 3.
    $ ending = 3, u"Женаты на мгновение"
    $ persistent.unlock_3 = True
    jump ending



##############################################################################
# Концовка 4

label ending4:

    $ renpy.music_start('waves.ogg')
    with None
    scene beach1
    show mary dark wistful
    with dissolve

    "Месяц спустя я вернулся на пляж. На сей раз, Мария ждёт меня."

    p "Привет."

    m "Здравствуй. Полагаю, у тебя есть ко мне несколько вопросов. У
      всех и всегда они были."

    p "Только не у меня."

    show mary dark confused wistful

    "От этих слов она опешила."

    m "Ты не хочешь ничего спросить? Разве тебе не важно,
      что я такое?"

    p "Что ты? В каком смысле?"

    m "Ну, знаешь... призрак."

    p "Для меня ты не призрак."

    show mary dark confused smiling

    p "Для меня ты девушка, с которой я хочу быть. Девушка, которую я
      люблю."

    show mary dark smiling

    p "Что до остального, не важно, призрак ты или я эльф с мешком
      золота."

    p "Всё это не важно."

    p "Важно то, что ты - это ты, а я - это я, и то, что мы вместе."

    hide mary with dissolve

    "После этих слов я пошёл вдоль пляжа. Должно быть, она была слишком
    шокирована, чтобы пошевелиться, поэтому какое-то время простояла
    как столбик."

    "И наконец, я повернулся к ней и спросил..."

    p "Ты идёшь?"

    show mary dark vhappy with dissolve

    m "Да!"

    "Воскликнула она в ответ, и побежала за мной."

    "И мы в очередной раз, пошли гулять вдоль побережья."

    hide mary with dissolve

    "С той ночи, каждое полнолуние мы проводили вместе."

    "Я уехал учиться в университет, но всегда находил время, чтобы
    приехать на остров и провести с ней ночь."

    "Моя первая работа была на побережье материка, недалеко от
    острова. Я распланировал свои выходные таким образом, чтобы у
    меня всегда было достаточно времени для поездки на пляж перед
    появлением Марии."

    "В конце концов, я накопил достаточно средств, чтобы купить дом на
    пляже, неподалёку от места нашей первой встречи."

    "Я устроил консультационную контору по программному обеспечению,
    прямо на дому. На оплату счетов хватало, но важнее всего было то,
    что я всегда мог позволить себе выходной перед ночью полнолуния."

    "Я не пропустил ни одной нашей встречи. И в ясную погоду, и в
    проливной дождь, однажды в снег, и даже продираясь сквозь
    ураганный ветер, я всегда был там."

    "Однажды Мария сказала, что это здорово - жить, когда ты можешь
    делать всё, что тебе хочется. И я знал, чего хотел - провести
    с ней всю свою жизнь."

    "Вместе мы отпраздновали мой день рождения семьдесят раз и дважды
    её. Мы не пропустили ни одной ночи."

    "Правда, ни одной... до сегодняшней."

    $ renpy.music.play('heartbeat.wav', loop=True, fadeout=.25)
    scene hospital1 with dissolve
    # Music heartbeat

    "Я умираю."

    "Не так уж это и плохо как может казаться. Мне девяносто девять, и,
    наверно, пришло моё время."

    "Моё сердце почти не бьётся, и я сказал врачам, чтобы не делали
    ничего, когда оно сдастся окончательно."

    "Есть ли мне о чём сожалеть? Да нет."

    "Кто-то может подумать, что я сожалею о том, что никогда не был
    женат и не завёл детей."

    "Но, Марии для меня было достаточно, даже несмотря на то, что мы
    никогда на самом деле не женились."

    "Кроме того, на заработанные деньги я оплатил учёбу детям и внукам
    своей сестры, и ещё полно осталось, чтобы у них подросли хорошие
    наследники."

    "Остальное уйдёт на благотворительность. Мне кажется, забота о
    собственной семье и мире - лучший из заделов для потомков."

    "Единственное, о чём я сожалею - что не могу увидеться с Марией,
    сегодня, в последний раз."

    "Сегодня ночь полной Луны, но я прикован к этой больничной кровати
    и слишком слаб, чтобы пошевелиться."


    "Конец близок."


    "Моё ощущение окружающего мира тускнеет, и я всё больше и больше
    фокусируюсь на собственном издыхающем теле."

    # Stop music
    $ renpy.music.queue('heartbeat.wav', loop=False)

    "Я чувствую, как моё сердцебиение становится всё тише и тише."

    # Play 1 heartbeat.
    $ renpy.music.queue('heartbeat.wav', loop=False)

    "Удар ..."

    # Play 1 heartbeat.
    $ renpy.music.queue('heartbeat.wav', loop=False)

    "... удар ..."

    "..."

    "......"

    "И, наконец, оно полностью прекратилось, и я осознал, что вот она,
    моя кончина."

    scene hospital2 with slowdissolve

    "Я готовился встретиться с ней лицом к лицу в одиночку, но теперь
    понимаю, что не придётся. Мария стоит здесь, со мной."

    "Не знаю почему и как... но чувствую, что она здесь."

    scene hospital3 with slowdissolve
    m "Важно лишь то ... что мы вместе."



    scene heaven with slowdissolve

    "Мир вокруг стал ослепительно белым, и я чувствую как годы оставляют
    меня."

    "Сейчас я вижу только Марию. И почему-то она уходит от меня."

    "Но через несколько мгновений, она оборачивается и спрашивает..."

    m "Ты идёшь?"

    "Я подбежал к ней и взял её за руку."

    "И вместе, мы шагнули в свет."

    scene white with slowdissolve

    # .:. Ending 4.
    $ ending = 4, u"Вместе, шагая в свет"
    $ persistent.unlock_4 = True
    jump ending
    
label ending:
    
    scene black with slowdissolve
    
    $ ending_number, ending_name = ending
    
    ".:. Концовка %(ending_number)d: %(ending_name)s" 
        
    if oldart:
        return
        
    if ending_number in (3, 4, 0):
        scene good_ending
    else:
        scene bad_ending

    $ ending_delay = 5.0
        
    play music "end_theme.ogg"
    with slowdissolve

    show credit u"\"Прогулки под Луной\"\n\n{size=-12}Версия 2.0{/size}"
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Автор сценария и режиссёр: PyTom"
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Художник: Mugenjohncel"
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Разработано на Ren'Py Visual Novel Engine"
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Спасибо ребятам на форумах Lemma Soft\nза техническую и моральную поддержку."
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Русская версия\n\n{size=-12}Локализация © 2010 Дмитрий Погуляев / WinKiller Studio{/size}"
    with slowdissolve
    $ renpy.pause(ending_delay)

    show credit u"Благодарим за внимание!\n\n{size=-12}Авторские права © 2005-2009 PyTom / American Bishoujo{/size}"
    with dissolve
    $ renpy.pause()
     
    return

